## badge 1.0-2

=== src/Makefile ===
#############################################################################
# Makefile for building: badge
# Generated by qmake (2.01a) (Qt 4.5.2) on: mar dic 8 14:26:05 2009
# Project:  badge.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile badge.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		badgewindow.cpp \
		badgedata.cpp \
		timetable.cpp \
		dialogday.cpp \
		dialogsearch.cpp \
		dialogcalendar.cpp moc_badgewindow.cpp \
		moc_dialogday.cpp \
		moc_dialogsearch.cpp \
		moc_dialogcalendar.cpp
OBJECTS       = main.o \
		badgewindow.o \
		badgedata.o \
		timetable.o \
		dialogday.o \
		dialogsearch.o \
		dialogcalendar.o \
		moc_badgewindow.o \
		moc_dialogday.o \
		moc_dialogsearch.o \
		moc_dialogcalendar.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		badge.pro
QMAKE_TARGET  = badge
DESTDIR       = 
TARGET        = badge

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: badge.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile badge.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile badge.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/badge1.0.0 || $(MKDIR) .tmp/badge1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.h badgedata.h timetable.h dialogday.h dialogsearch.h dialogcalendar.h .tmp/badge1.0.0/ && $(COPY_FILE) --parents main.cpp badgewindow.cpp badgedata.cpp timetable.cpp dialogday.cpp dialogsearch.cpp dialogcalendar.cpp .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.ui dialogday.ui dialogsearch.ui dialogcalendar.ui .tmp/badge1.0.0/ && (cd `dirname .tmp/badge1.0.0` && $(TAR) badge1.0.0.tar badge1.0.0 && $(COMPRESS) badge1.0.0.tar) && $(MOVE) `dirname .tmp/badge1.0.0`/badge1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/badge1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
moc_badgewindow.cpp: badgewindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) badgewindow.h -o moc_badgewindow.cpp

moc_dialogday.cpp: timetable.h \
		dialogday.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialogday.h -o moc_dialogday.cpp

moc_dialogsearch.cpp: dialogsearch.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialogsearch.h -o moc_dialogsearch.cpp

moc_dialogcalendar.cpp: dialogcalendar.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialogcalendar.h -o moc_dialogcalendar.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
compiler_uic_clean:
	-$(DEL_FILE) ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
ui_badgewindow.h: badgewindow.ui
	/usr/bin/uic-qt4 badgewindow.ui -o ui_badgewindow.h

ui_dialogday.h: dialogday.ui
	/usr/bin/uic-qt4 dialogday.ui -o ui_dialogday.h

ui_dialogsearch.h: dialogsearch.ui
	/usr/bin/uic-qt4 dialogsearch.ui -o ui_dialogsearch.h

ui_dialogcalendar.h: dialogcalendar.ui
	/usr/bin/uic-qt4 dialogcalendar.ui -o ui_dialogcalendar.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp badgewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

badgewindow.o: badgewindow.cpp badgewindow.h \
		ui_badgewindow.h \
		dialogday.h \
		timetable.h \
		badgedata.h \
		dialogsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgewindow.o badgewindow.cpp

badgedata.o: badgedata.cpp badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgedata.o badgedata.cpp

timetable.o: timetable.cpp timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o timetable.o timetable.cpp

dialogday.o: dialogday.cpp dialogday.h \
		timetable.h \
		ui_dialogday.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogday.o dialogday.cpp

dialogsearch.o: dialogsearch.cpp dialogsearch.h \
		ui_dialogsearch.h \
		dialogcalendar.h \
		badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogsearch.o dialogsearch.cpp

dialogcalendar.o: dialogcalendar.cpp dialogcalendar.h \
		ui_dialogcalendar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogcalendar.o dialogcalendar.cpp

moc_badgewindow.o: moc_badgewindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_badgewindow.o moc_badgewindow.cpp

moc_dialogday.o: moc_dialogday.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogday.o moc_dialogday.cpp

moc_dialogsearch.o: moc_dialogsearch.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogsearch.o moc_dialogsearch.cpp

moc_dialogcalendar.o: moc_dialogcalendar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogcalendar.o moc_dialogcalendar.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
