## badge 1.0

=== debian/changelog ===
badge (1.0) unstable; urgency=low

  * Initial release 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
