=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: badge
 Architecture: any
-Depends: libqt4-maemo5-dev, libqt4-core (>= 4.6.0), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.6.0), libstdc++6 (>= 4.2.1),, hildon-application-manager
+Depends: libqt4-maemo5-dev, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1),, hildon-application-manager
 Description: Qt Badge application
  Badge is a software to record the times of exit, entry and rests on the working day
  .
