## badge 1.0-2

=== debian/changelog ===
badge (1.0-2) unstable; urgency=low

  * Fix dependencies 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
