=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/other
 Priority: optional
 Maintainer: Nicola De Filippo <nicola@nicoladefilippo.it>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev 
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev
 Standards-Version: 3.7.2
 
 Package: badge
 Architecture: any
-Depends: libqt4-maemo5-dev, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1),, hildon-application-manager
+Depends: libqt4-maemo5-gui, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
 Description: Qt Badge application
  Badge is a software to record the times of exit, entry and rests on the working day
  .
