## badge 1.0-3

=== debian/changelog ===
badge (1.0-3) unstable; urgency=low

  * Add desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
