## badge 1.0-4

=== src/Makefile ===
#############################################################################
# Makefile for building: ../badge
# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Feb 16 10:51:31 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		badgewindow.cpp \
		badgedata.cpp \
		timetable.cpp \
		dialogday.cpp \
		dialogsearch.cpp \
		dialogcalendar.cpp moc_badgewindow.cpp \
		moc_dialogday.cpp \
		moc_dialogsearch.cpp \
		moc_dialogcalendar.cpp
OBJECTS       = main.o \
		badgewindow.o \
		badgedata.o \
		timetable.o \
		dialogday.o \
		dialogsearch.o \
		dialogcalendar.o \
		moc_badgewindow.o \
		moc_dialogday.o \
		moc_dialogsearch.o \
		moc_dialogcalendar.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = badge
DESTDIR       = ../
TARGET        = ../badge

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/badge1.0.0 || $(MKDIR) .tmp/badge1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.h badgedata.h timetable.h dialogday.h dialogsearch.h dialogcalendar.h .tmp/badge1.0.0/ && $(COPY_FILE) --parents main.cpp badgewindow.cpp badgedata.cpp timetable.cpp dialogday.cpp dialogsearch.cpp dialogcalendar.cpp .tmp/badge1.0.0/ && $(COPY_FILE) --parents badgewindow.ui dialogday.ui dialogsearch.ui dialogcalendar.ui .tmp/badge1.0.0/ && (cd `dirname .tmp/badge1.0.0` && $(TAR) badge1.0.0.tar badge1.0.0 && $(COMPRESS) badge1.0.0.tar) && $(MOVE) `dirname .tmp/badge1.0.0`/badge1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/badge1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_badgewindow.cpp moc_dialogday.cpp moc_dialogsearch.cpp moc_dialogcalendar.cpp
moc_badgewindow.cpp: badgewindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) badgewindow.h -o moc_badgewindow.cpp

moc_dialogday.cpp: timetable.h \
		dialogday.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) dialogday.h -o moc_dialogday.cpp

moc_dialogsearch.cpp: dialogsearch.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) dialogsearch.h -o moc_dialogsearch.cpp

moc_dialogcalendar.cpp: dialogcalendar.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) dialogcalendar.h -o moc_dialogcalendar.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
compiler_uic_clean:
	-$(DEL_FILE) ui_badgewindow.h ui_dialogday.h ui_dialogsearch.h ui_dialogcalendar.h
ui_badgewindow.h: badgewindow.ui
	/opt/qt4-maemo5/bin/uic badgewindow.ui -o ui_badgewindow.h

ui_dialogday.h: dialogday.ui
	/opt/qt4-maemo5/bin/uic dialogday.ui -o ui_dialogday.h

ui_dialogsearch.h: dialogsearch.ui
	/opt/qt4-maemo5/bin/uic dialogsearch.ui -o ui_dialogsearch.h

ui_dialogcalendar.h: dialogcalendar.ui
	/opt/qt4-maemo5/bin/uic dialogcalendar.ui -o ui_dialogcalendar.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp badgewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

badgewindow.o: badgewindow.cpp badgewindow.h \
		ui_badgewindow.h \
		dialogday.h \
		timetable.h \
		badgedata.h \
		dialogsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgewindow.o badgewindow.cpp

badgedata.o: badgedata.cpp badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o badgedata.o badgedata.cpp

timetable.o: timetable.cpp timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o timetable.o timetable.cpp

dialogday.o: dialogday.cpp dialogday.h \
		timetable.h \
		ui_dialogday.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogday.o dialogday.cpp

dialogsearch.o: dialogsearch.cpp dialogsearch.h \
		ui_dialogsearch.h \
		dialogcalendar.h \
		badgedata.h \
		timetable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogsearch.o dialogsearch.cpp

dialogcalendar.o: dialogcalendar.cpp dialogcalendar.h \
		ui_dialogcalendar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialogcalendar.o dialogcalendar.cpp

moc_badgewindow.o: moc_badgewindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_badgewindow.o moc_badgewindow.cpp

moc_dialogday.o: moc_dialogday.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogday.o moc_dialogday.cpp

moc_dialogsearch.o: moc_dialogsearch.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogsearch.o moc_dialogsearch.cpp

moc_dialogcalendar.o: moc_dialogcalendar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialogcalendar.o moc_dialogcalendar.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
