=== debian/changelog ===
badge (1.0-4) unstable; urgency=low

  * fix desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
