## badge 1.0-5

=== debian/changelog ===
badge (1.0-5) unstable; urgency=low

  * fix location desktop file 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
