## badge 1.0-7

=== debian/changelog ===
badge (1.0-7) unstable; urgency=low

  * third fix dependencie

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
