## badge 1.0-8

=== debian/changelog ===
badge (1.0-8) unstable; urgency=low

  * fourty fix dependencie

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
