## badge 1.0-9

=== debian/changelog ===
badge (1.0-9) unstable; urgency=low

  * fix save

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
