## badge 1.1

=== debian/changelog ===
badge (1.1) unstable; urgency=low

  * fix search

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Tue, 2 Mar 2010 12:17:22 +0100
