## badge 1.1-1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../badge
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Feb 16 10:51:31 2010
+# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Feb 19 10:01:09 2010
 # Project:  src.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
@@ -10,12 +10,12 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
+DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I. -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
 LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
@@ -64,24 +64,25 @@
 		moc_dialogday.o \
 		moc_dialogsearch.o \
 		moc_dialogcalendar.o
-DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = badge
 DESTDIR       = ../
@@ -115,48 +116,50 @@
 	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
-		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+Makefile: src.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
+		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
 		/opt/qt4-maemo5/lib/libQtDBus.prl \
 		/opt/qt4-maemo5/lib/libQtXml.prl \
 		/opt/qt4-maemo5/lib/libQtCore.prl \
 		/opt/qt4-maemo5/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile src.pro
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
-/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
+/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
 /opt/qt4-maemo5/lib/libQtMaemo5.prl:
 /opt/qt4-maemo5/lib/libQtDBus.prl:
 /opt/qt4-maemo5/lib/libQtXml.prl:
@@ -285,3 +288,5 @@
 install_target: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
 	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
+	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
+
