=== debian/changelog ===
badge (1.1-1) unstable; urgency=low

  * fix search result

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Tue, 4 Mar 2010 12:17:22 +0100
